-- 
-- FarmingTablet - ButtonActions
-- 
-- @Interface: 1.4.4.0 1.4.4RC8
-- @Author: kevink98 
-- @Date: 10.06.2017
-- @Version: 1.1.0
-- 
-- @Support: http://ls-modcompany.com
-- @mCompanyInfo: http://mcompany-info.de/
-- 

ButtonActions = {};

function ButtonActions:onActiveClickNotification()
	FarmingTablet.START_PAGE.buttons.NOTTIFICATIONS.hover = false;
	FarmingTablet:allAppsClose("Tablet_notifications")
end;

function ButtonActions:onActiveClickClose()
	FarmingTablet.START_PAGE.buttons.CLOSE.hover = false;
	FarmingTablet.closeTablet();
end;

function ButtonActions:onActiveClickSettings()
	FarmingTablet.START_PAGE.buttons.SETTINGS.hover = false;
	FarmingTablet:allAppsClose("Tablet_settings")
end;

function ButtonActions:onActiveClickbackgroundHomeLower()
	if FarmingTablet.activeOverlay > 1 then 
		FarmingTablet.activeOverlay = FarmingTablet.activeOverlay - 1;
	end;
end;

function ButtonActions:onActiveClickbackgroundHomeHigher()
	if FarmingTablet.activeOverlay < table.getn(FarmingTablet.START_PAGE.overlays.SCREEN_HOME) then 
		FarmingTablet.activeOverlay = FarmingTablet.activeOverlay + 1;
	end;
end;

function ButtonActions:onActiveClickbackgroundAppLower()
	local app = FarmingTablet.APPS_chooseBackground[FarmingTablet.SETTINGS_PAGE.activeAppChoose]
	if app ~= nil and app.backgroundActiveIndex > 1 then 
		app.setBackgroundActiveIndex(app.backgroundActiveIndex-1);
	end;
end;

function ButtonActions:onActiveClickbackgroundAppHigher()
	local app = FarmingTablet.APPS_chooseBackground[FarmingTablet.SETTINGS_PAGE.activeAppChoose]
	if app ~= nil and app.backgroundActiveIndex < table.getn(FarmingTablet.START_PAGE.overlays.SCREEN_BACK) then 
		app.setBackgroundActiveIndex(app.backgroundActiveIndex+1);
	end;
end;

function ButtonActions:onActiveClickchooseAppLower()
	if FarmingTablet.APPS_chooseBackground[FarmingTablet.SETTINGS_PAGE.activeAppChoose - 1] ~= nil then	
		FarmingTablet.SETTINGS_PAGE.activeAppChoose = FarmingTablet.SETTINGS_PAGE.activeAppChoose - 1;
	end;
end;

function ButtonActions:onActiveClickchooseAppHigher()
	if FarmingTablet.APPS_chooseBackground[FarmingTablet.SETTINGS_PAGE.activeAppChoose + 1] ~= nil then	
		FarmingTablet.SETTINGS_PAGE.activeAppChoose = FarmingTablet.SETTINGS_PAGE.activeAppChoose + 1;
	end;
end;

function ButtonActions:onActiveClicknotificationsPopup()
	FarmingTablet.SETTINGS_PAGE.buttons.notificationsPopup.ActivateState = not FarmingTablet.SETTINGS_PAGE.buttons.notificationsPopup.ActivateState;
	FarmingTablet.NOTTIFICATIONS_PAGE.showPopup = not FarmingTablet.NOTTIFICATIONS_PAGE.showPopup;
end;