-- 
-- FarmingTablet - Utils
-- 
-- @Interface: 1.4.4.0 1.4.4RC8
-- @Author: kevink98 
-- @Date: 10.06.2017
-- @Version: 1.0.0
-- 
-- @Support: http://ls-modcompany.com
-- @mCompanyInfo: http://mcompany-info.de/
-- 

FarmingTabletUtils = {};

function FarmingTabletUtils:registerUtil()	
	g_currentMission.FarmingTablet.Utils = {};
	g_currentMission.FarmingTablet.Utils.version = "1.0.0";
	g_currentMission.FarmingTablet.Utils.drawTextButton = function (...) return self:drawTextButton(...) end;
end;

function FarmingTabletUtils:drawTextButton(button, text, h, f, c1, c2)
	if button == nil then return end;
	if text == nil then text = "" end;
	if h == nil then h = 0.028 end;
	if f == nil then f = 2 end;
	if c1 == nil then c1 = {0.408,0.412,0.408,1} end;
	if c2 == nil then c2 = {0.3843,0.69,0.1176,1} end;
	
	if button.hover then
		setTextColor(unpack(c1));
	else
		setTextColor(unpack(c2));
	end;
	
	local x = button.posXL + ((button.posXR-button.posXL)/2)-(getTextWidth(h ,text) /2);
	local y = button.posYU +(getTextHeight(h , text) /f);
	renderText(x,y, h, text);
	
	setTextColor(0,0,0,1);
end;