-- 
-- FarmingTablet - ModApp
-- 
-- @Interface: 1.4.4.0 1.4.4RC8
-- @Author: kevink98 
-- @Date: 10.06.2017
-- @Version: 1.1.0
-- 
-- @Support: http://ls-modcompany.com
-- @mCompanyInfo: http://mcompany-info.de/
-- 

FarmingTabletModApp = {};

function FarmingTabletModApp:newApp(appData)
	g_currentMission.FarmingTablet.installedApps = g_currentMission.FarmingTablet.installedApps +1;
	local app = g_currentMission.FarmingTablet.installedApps;
	if app > g_currentMission.FarmingTablet.supportedNumApps then
		print("ERROR: to much Apps!");
		return;
	end;
	
	g_currentMission.FarmingTablet.APPS[appData.name] = {};
	g_currentMission.FarmingTablet.APPS[appData.name].nameOfApp = appData.nameOfApp;
	g_currentMission.FarmingTablet.APPS[appData.name].name = appData.name;
	g_currentMission.FarmingTablet.APPS[appData.name].nameAppstoreButton = appData.nameAppstoreButton;
	g_currentMission.FarmingTablet.APPS[appData.name].id = g_currentMission.FarmingTablet.installedApps;
	g_currentMission.FarmingTablet.APPS[appData.name].appCategoryDefault = appData.appCategoryDefault;
	g_currentMission.FarmingTablet.APPS[appData.name].author = appData.author;
	g_currentMission.FarmingTablet.APPS[appData.name].version = appData.version;
	g_currentMission.FarmingTablet.APPS[appData.name].isBuyable = appData.isBuyable;
	g_currentMission.FarmingTablet.APPS[appData.name].startWindow = appData.startWindow;
	g_currentMission.FarmingTablet.APPS[appData.name].isBuy = false;
	g_currentMission.FarmingTablet.APPS[appData.name].iconImage = appData.iconImage;
	g_currentMission.FarmingTablet.APPS[appData.name].useBackgroundsByTablet = appData.useBackgroundsByTablet or false;
	g_currentMission.FarmingTablet.APPS[appData.name].priceForAppstore = appData.priceForAppstore;
	g_currentMission.FarmingTablet.APPS[appData.name].descLine1 = appData.descLine1;
	g_currentMission.FarmingTablet.APPS[appData.name].descLine2 = appData.descLine2;
	g_currentMission.FarmingTablet.APPS[appData.name].descLine3 = appData.descLine3;
	g_currentMission.FarmingTablet.APPS[appData.name].shortDescLine1 = appData.shortDescLine1;
	g_currentMission.FarmingTablet.APPS[appData.name].shortDescLine2 = appData.shortDescLine2;
	
	if g_currentMission.FarmingTablet.APPS[appData.name].isBuyable then
		g_currentMission.FarmingTablet.APPS[appData.name].isBought = false;
	else
		g_currentMission.FarmingTablet.APPS[appData.name].isBought = true;
	end;
	
	if appData.useBackgroundsByTablet == true then
		g_currentMission.FarmingTablet.APPS[appData.name].backgroundActiveIndex = appData.backgroundActiveIndex;
		g_currentMission.FarmingTablet.APPS[appData.name].setBackgroundActiveIndex = function (value) g_currentMission.FarmingTablet.APPS[appData.name].backgroundActiveIndex = value; end;
		FarmingTablet.APPS_chooseBackground[table.getn(FarmingTablet.APPS_chooseBackground) + 1] = g_currentMission.FarmingTablet.APPS[appData.name];
	end;
	FarmingTablet.getAppById[g_currentMission.FarmingTablet.installedApps] = g_currentMission.FarmingTablet.APPS[appData.name];
	
	if g_currentMission.FarmingTablet.APPS[appData.name].isBuyable then
		g_currentMission.FarmingTablet.addAppToStore(appData.name)
	else
		FarmingTablet:addAppToHome(appData.appCategoryDefault,appData.name)
	end;
end;